Package com.google.android.exoplayer2

## Class Rating

- java.lang.Object
- - com.google.android.exoplayer2.Rating

- All Implemented Interfaces:
    `Bundleable`
  Direct Known Subclasses:
    `HeartRating`, `PercentageRating`, `StarRating`, `ThumbRating`

      public abstract class Rating
      extends Object
      implements Bundleable

  A rating for media content. The style of a rating can be one of `HeartRating`, `PercentageRating`, `StarRating`, or `ThumbRating`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Bundleable.Creator<Rating>` | `CREATOR` | Object that can restore a `Rating` from a `Bundle`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `isRated()` | Whether the rating exists or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.Bundleable

      `toBundle`

- - ### Field Detail

    - #### CREATOR

          public static final Bundleable.Creator<Rating> CREATOR

      Object that can restore a `Rating` from a `Bundle`.

  - ### Method Detail

    - #### isRated

          public abstract boolean isRated()

      Whether the rating exists or not.